Package org.eclipse.cdt.core.settings.model

## Interface ICMultiItemsHolder

All Known Subinterfaces:
  `ICMultiConfigDescription`, `ICMultiResourceDescription`

All Known Implementing Classes:
  `MultiItemsHolder`, `MultiLanguageSetting`

    public interface ICMultiItemsHolder

Implementors of this interface are intended to hold 1 or more items and perform some simultaneous operations on them. There are no any restrictions for items types to be held. As common rule, items are set in constructor and their list cannot be changed in life time.

### Field Summary

Fields
`static String` `EMPTY_STR`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object[]` `getItems()`

### Field Detail

#### EMPTY_STR

    static final String EMPTY_STR

See Also:
  Constant Field Values

### Method Detail

#### getItems

    Object[] getItems()

Returns:
  array of items which it holds